import tkinter as tk
import time
from . import data


def clipboard_poll(app: tk) -> None:
    data.log.info('clipboard thread started')
    text = None
    while True:
        try:
            new_text = app.clipboard_get()
        except tk.TclError:
            new_text = None
        if new_text != text:
            data.log.info(new_text)
            text = new_text
            res = data.re_clipboard.search(text)
            if res:
                trade = data.Trade.by_regex_result(res)
                data.log.info(trade)
        time.sleep(0.2)
